Binary files wikit-revs-3rsk.vfs/lib/rskdiff/.test.tcl.swp and wikit-revs-4rsk.vfs/lib/rskdiff/.test.tcl.swp differ
diff -uNr wikit-revs-3rsk.vfs/lib/wikit/web.tcl wikit-revs-4rsk.vfs/lib/wikit/web.tcl
--- wikit-revs-3rsk.vfs/lib/wikit/web.tcl	2008-03-29 14:52:25.000000000 -0500
+++ wikit-revs-4rsk.vfs/lib/wikit/web.tcl	2008-03-29 14:44:14.000000000 -0500
@@ -421,7 +421,7 @@
 
 	  cgi_head {
 	    cgi_http_equiv Content-type "text/html; charset=utf-8"
-	    cgi_title "Difference for $name (r$sourceFakeRev and r$destFakeRev)"
+	    cgi_title "Changes to \"$name\" between r$sourceFakeRev and r$destFakeRev"
 	    cgi_meta name=robots content=noindex,nofollow
 	    cgi_http_equiv Pragma no-cache
 	    cgi_http_equiv Expire "Mon, 04 Dec 1999 21:29:02 GMT"
@@ -431,6 +431,9 @@
             cgi_puts {.diffNew { background-color: #aaf4aa; }}
             cgi_puts {.diffModifiedOld { background-color: #effaaa; text-decoration: line-through; }}
             cgi_puts {.diffModifiedNew { background-color: #faefaa; }}
+            cgi_puts {.diffModifiedConnector { font-style: italic; font-weight: bold; }}
+            cgi_puts {#diffLegend { border: solid 1px #000000; padding: 2px; margin: 3px auto 3px auto; }}
+            cgi_puts {#diffLegendHeader { border: solid 1px #000000; text-align: center; background: #dedede; margin-bottom: 2px; }}
             cgi_puts {-->}
             cgi_puts {</style>}
 	    stylesheet
@@ -439,10 +442,19 @@
 	    }
 	  }
 
+
+          set diffLegend "[cgi_span class=diffOld [nbspace][nbspace][nbspace][nbspace]]  Only in r$sourceFakeRev[nl]"
+          append diffLegend "[cgi_span class=diffNew [nbspace][nbspace][nbspace][nbspace]]  Only in r$destFakeRev[nl]"
+          set diffModLineOutput [cgi_span class=diffModifiedOld [nbspace][nbspace][nbspace][nbspace]]
+          append diffModLineOutput [cgi_span class=diffModifiedConnector " --> "] 
+          append diffModLineOutput [cgi_span class=diffModifiedNew [nbspace][nbspace][nbspace][nbspace]]
+          append diffLegend [cgi_span class=diffModified "$diffModLineOutput  Modified slightly between r$sourceFakeRev and r$destFakeRev"][nl]
+
           set htmlifymap [list "&" "&amp;" "\"" "&quot;" "<" "&lt;" ">" "&gt;" "  " [cgi_nbspace][cgi_nbspace]]
           cgi_body bgcolor=#ffffff {
-            cgi_h2 "Differences for [Wiki - ../$N] r$sourceFakeRev and r$destFakeRev"
+            cgi_h2 "Changes to [Wiki - ../$N] between r$sourceFakeRev and r$destFakeRev"
 
+            cgi_puts "<p id=\"diffPage\">"
             foreach diffInfo $revDiff {
               set diffType [lindex $diffInfo 0]
               set diffOldLine [string map $htmlifymap [lindex $diffInfo 1]]
@@ -452,8 +464,16 @@
                   cgi_puts [cgi_span class=diffSame "$diffOldLine"][nl]
                 }
                 "M" {
-                  cgi_puts -[cgi_span class=diffModifiedOld "$diffOldLine"][nl]
-                  cgi_puts +[cgi_span class=diffModifiedNew "$diffNewLine"][nl]
+                  if {$diffOldLine == ""} {
+                    set diffOldLine "(blank line)"
+                  }
+                  if {$diffNewLine == ""} {
+                    set diffNewLine "(blank line)"
+                  }
+                  set diffModLineOutput [cgi_span class=diffModifiedOld "$diffOldLine"]
+                  append diffModLineOutput [cgi_span class=diffModifiedConnector " --> "] 
+                  append diffModLineOutput [cgi_span class=diffModifiedNew "$diffNewLine"][nl]
+                  cgi_puts [cgi_span class=diffModified $diffModLineOutput]
                 }
                 "+" {
                   cgi_puts +[cgi_span class=diffNew "$diffNewLine"][nl]
@@ -463,8 +483,12 @@
                 }
               }
             }
+            cgi_puts "</p>"
+
+            cgi_puts "<div id=\"diffLegend\"><div id=\"diffLegendHeader\">Legend</div><p>$diffLegend</p></div>"
 
 	    hr noshade
+
             cgi_puts "<p id='footer'>$menu</p>"
           }
           # Versioning attempt (end)
@@ -485,7 +509,7 @@
 
           cgi_body bgcolor=#ffffff {
             cgi_h2 "Revisions for [Wiki - ../$N]"
-            cgi_puts "Older versions of this page:[nl]"
+            cgi_puts "<p id=\"revsPage\">Older versions of this page:[nl]"
             set fakeRev 0
             set prevRev ""
             set revs [mk::select wdb.revs -exact id $N]
@@ -512,6 +536,7 @@
               incr fakeRev
               set prevRev $rev
             }
+            cgi_puts "</p>"
 
 	    hr noshade
             cgi_puts "<p id='footer'>$menu</p>"
